Subject: bug#10085: 24.0.91; completion-pcm--find-all-completions returns wrong remote file names

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Nov 2011 12:04:23 -0500

> Start "emacs -Q". Apply "C-x C-f /sudo:: TAB". This results in
> "/sudo:sudo:root@". A correct expansion would be "/sudo:root@".

I haven't tracked this down yet, but while trying to I bumped into the
following problem:

   emacs -Q
   (completion-try-completion "/sudo::" 'completion-file-name-table nil t)
   C-g at the prompt
   C-x C-f /sudo:: TAB

and at that point Emacs is frozen solid.  The backtrace (shown after my
sig) shows that rfn-eshadow (run with inhibit-quit) ends up waiting for
a process that never replies.

Can you look into it, while I try to solve the other problem?

        Stefan

Lisp Backtrace:
"accept-process-output" (0xbfff6874)
"byte-code" (0xbfff6b28)
"tramp-accept-process-output" (0xbfff7094)
"tramp-wait-for-regexp" (0xbfff7444)
"tramp-wait-for-output" (0xbfff77f4)
"tramp-send-command" (0xbfff7b94)
"tramp-sh-handle-expand-file-name" (0xbfff7f44)
"apply" (0xbfff8094)
"tramp-sh-file-name-handler" (0xbfff8424)
"apply" (0xbfff8574)
"byte-code" (0xbfff8828)
"tramp-file-name-handler" (0xbfff8dc8)
"expand-file-name" (0xbfff8f64)
"apply" (0xbfff90b4)
"tramp-completion-run-real-handler" (0xbfff9454)
"tramp-completion-file-name-handler" (0xbfff97e8)
"expand-file-name" (0xbfff99a8)
"tramp-handle-file-remote-p" (0xbfff9d44)
"apply" (0xbfff9e94)
"tramp-sh-file-name-handler" (0xbfffa224)
"apply" (0xbfffa384)
"byte-code" (0xbfffa638)
"tramp-file-name-handler" (0xbfffabd4)
"file-remote-p" (0xbfffaf74)
"apply" (0xbfffb0c4)
"tramp-completion-run-real-handler" (0xbfffb464)
"tramp-completion-file-name-handler" (0xbfffb7f4)
"file-remote-p" (0xbfffbb94)
"byte-code" (0xbfffbe38)
"tramp-rfn-eshadow-update-overlay" (0xbfffc47c)
"run-hooks" (0xbfffc564)
"byte-code" (0xbfffc818)
"rfn-eshadow-update-overlay" (0xbfffcdc8)
"read-from-minibuffer" (0xbfffd66c)
"completing-read-default" (0xbfffda2c)
"completing-read" (0xbfffdb98)
"read-file-name-default" (0xbfffdf5c)
"read-file-name" (0xbfffe304)
"find-file-read-args" (0xbfffe6a4)
"byte-code" (0xbfffe948)
"call-interactively" (0xbfffed18)